/* rules and setup */ 

@font-face {
    font-family: Montserrat;
    src: url(/assets/fonts/Montserrat/Montserrat-VariableFont_wght.ttf);
}

:root {
    --accent: #C84B31;
    --darkBG: #1C1A17;
    --lightBright: #F7F4EF;
    --lightDark: #EDEAE3;
    --darkGrey: #9A9590;

    --regularShadow: 3px 5px 15px rgba(0,0,0,0.25)
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 16px;
    scroll-behavior: smooth;
    overflow-x: hidden;
    
}

body {
    font-family: Montserrat;
    background: var(--lightBright);
    color: var(--darkBG);
    overflow-x: hidden;

}

body.darkmode body, body.darkmode section, body.darkmode footer {
    background: var(--darkBG);
    color: #fff;
}

body.darkmode a:hover {
    color: var(--lightBright);
}

body.darkmode .button:hover {
    color: var(--darkBG);
}

a {
    color: var(--accent);
    transition: 300ms ease-in;
    text-decoration: none;
    border-bottom: 1px solid var(--accent);
}

.em-red {
    color: var(--accent);
}

#cta {
    background: var(--darkBG);
    color: #fff;
}

a:hover {
    color: var(--darkBG);
}

p {
    margin-bottom: 1rem;
}

h1 {
    font-size: 2.5rem;
    font-weight: 700;
}

h2 {
    font-size: 2rem;
    text-align: center;
    margin-bottom: 50px;
}

h3 {
    font-size: 1.75rem;
    margin-bottom: 25px;
}

h4 {
    font-size: 1.5rem;
    font-weight: 500;
    margin: 15px 0;
}

h5 {
    font-size: 1.25rem;
}

h6 {
    font-size: 1rem;
}

section {
    padding: 100px 0;
}

section:last-child {
    padding-bottom: 250px;
}

.content-layout {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
}

.section-headline {
    grid-row: 1;
    grid-column: 2/12;
}

.content-inner-layout {
    grid-column: 2/12;
    gap: 20px;
}

.layout-3-cols {
    grid-template-columns: repeat(3, 1fr);
}

.layout-6-cols {
    grid-template-columns: repeat(6, 1fr);
}

.layout-12-cols {
    grid-template-columns: repeat(12, 1fr);
}

header {
    background: var(--darkBG);
    border: none;
    backdrop-filter: blur(25px);
    display: grid;
    grid-template: auto / 1fr 1fr;
    align-items: center;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    right: 0;
    overflow: hidden;
    box-shadow: var(--regularShadow);
}

header nav ul li {
    list-style: none;
    text-indent: 0;
}

header nav ul {
    display: flex;
    flex-flow: column;
}

header a {
    border-bottom: none;
}

header nav a {
    text-decoration: none;
    color: var(--lightBright);
    display: block;
    text-align: center;
    background: linear-gradient(to right, transparent 0%, transparent 50%, var(--lightBright)50%, var(--lightBright) 100%);
    background-size: 200%;
    background-position: left;
    padding: 0.5rem;
    transition: 300ms ease-in;
}

header nav a:hover {
    background-position: right;
    color: #000;
}

header nav {
    transition: 300ms ease-in;
    grid-column: span 2;
    max-height: 0;
    overflow: hidden;
    pointer-events: none;
}

header nav.active {
    max-height: 250px;
    pointer-events: initial;
}

.nav-trigger {
    justify-self: end;
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    gap: 5px;
    width: 50px;
    cursor: pointer;
    position: relative;
    margin: 2rem;
    height: 100%;
}

.nav-trigger > .nav-beam{
    width: 100%;
    height: 5px;
    border-radius: 10px;
    background: var(--lightBright);
    transition: 300ms ease-in;
}

.header-logo {
    padding: 1rem 0 1rem 2rem;
}

.header-logo img{
    width: 75px;
}

.nav-trigger.active > .nav-beam:first-child {
    transform: translateY(100%) rotate(45deg);
}

.nav-trigger.active > .nav-beam:last-child {
    transform: translateY(-100%) rotate(-45deg);
}

@media screen and (min-width: 768px) {
    header {
        top: 1rem;
        max-width: 500px;
        margin: 0 auto;
        border-radius: 50px;
        border: 1px solid #fff;
    }
}





#hero {
    box-shadow: 0px 0px 15px rgba(0,0,0,0.25);
    height: 100dvh;
}

#hero::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.3);
    backdrop-filter: blur(6px);
}

#hero > * {
    position: relative;
    z-index: 1;
}

#hero .hero-content {
    display: flex;
    flex-flow: column;
    justify-content: center;
    height: 100%;
    max-width: 1500px;
    padding: 0 50px;
    justify-content: flex-end;
    padding-bottom: 10px;
    text-align: center;
}

#hero .content-layout {
    height: 100%;
}

#hero .content-inner-layout {
    justify-content: center;
}

#hero p {
    font-size: 2rem;
}

.hero-home {
    background: linear-gradient(90deg, rgba(0,0,0,0.5), rgba(0,0,0,0.5)), url(/assets/hero_background_startseite.jpg) no-repeat;
    background-size: cover;
    background-attachment: fixed;
    background-position: left;
    color: #fff;
}

.hero-home a {
    text-align: left;
}


 


#leistungen .content-inner-layout {
    display: flex;
    flex-flow: row wrap;
}

#leistungen .service-box {
    flex: 1 0 250px;
    text-align: center;
    padding: 15px;
    border: 1px solid var(--accent);
    display: grid;
}

#leistungen .service-box .fa {
    color: var(--accent);
    font-size: 3rem;
    justify-self: center;
}

#leistungen .service-box h3 {
    margin: 10px 0 25px 0;
}

#leistungen .service-box p {
    align-self: end;
}





#faq {
    background: var(--lightDark);
    color: var(--darkBG);
}









section .button {
    grid-column: 2/12;
    grid-row: 3;
}

.button, button {
    display: inline-block;
    text-decoration: none;
    padding: 20px;
    text-align: center;
    font-weight: 600;
    box-shadow: 3px 5px 15px rgba(0,0,0,0.25);
    border-radius: 20px;
    margin: 25px 0 0 0;
    border: none;
    font-size: 1rem;
    cursor: pointer;
}

.button-red {
    background: linear-gradient(90deg, var(--lightDark) 0%, var(--lightDark) 50%, var(--accent) 50%, var(--accent) 100%);
    background-size: 200%;
    background-position: right;
    color: #fff;
    transition: 300ms ease-in;
}

.button-red:hover {
    background-position: left;
    color: var(--darkBG);
}

.button-empty {
    background: linear-gradient(90deg, transparent 0%, transparent 50%, var(--lightBright) 50%, var(--lightDark) 100%);
    background-size: 200%;
    background-position: left;
    box-shadow: none;
    border: 3px solid var(--accent);
}

.button-empty:hover {
    background-position: right;
}

.button-light {
    background: linear-gradient(90deg, var(--lightDark) 0%, var(--lightDark) 50%, var(--darkBG) 50%, var(--darkBG) 100%);
    background-size: 200%;
    background-position: left;
    color: var(--darkBG);
    transition: 300ms ease-in;
}

.button-light:hover {
    background-position: right;
    color: var(--darkBG);
    color: var(--lightBright);
}

#about-intro .content-inner-layout {
    display: flex;
    flex-flow: row wrap;
}

#about-intro {
    background: var(--darkBG);
    color: var(--lightBright);
}

#about-intro .button {
    width: 100%;
    color: var(--lightBright);
}

#about-intro .button:hover {
    width: 100%;
    color: var(--darkBG);
}

.about-box {
    align-items: center;
    justify-content: center;
}

.about-text {
    order: 2;
}

.about-image {
    order: 1;
    flex: 0 0 300px;
    max-width: 300px;
    border-radius: 250px;
    overflow: hidden;
}

.about-image img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    display: block;
}


#projekte {
    background: var(--darkBG);
    color: #fff;
}

#projekte .content-inner-layout {
    grid-column: span 12;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
}

.projekt-vorschau {
    grid-column: 1/13;
    max-height: 400px;
    overflow: hidden;
}

.projekt-vorschau img {
    width: 100%;
    object-fit: contain;
    object-position: center;
}

.projekt-details {
    grid-column: 2/12;
}

.projekt-logos {
    display: flex;
    justify-content: center;
    gap: 25px;
}

.projekt-logo {
    width: 100px;
    height: 100px;
    overflow: hidden;
    border-radius: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--lightBright);
    cursor: pointer;
    padding: 0.5rem;
}

.projekt-logo img {
    width: 100%;
    object-fit: contain;
}

.wrapper-projekt-beschreibung {
    margin: 50px 0;
    overflow: hidden;
}

.container-projekt-beschreibung {
    display: flex;
    flex-flow: row nowrap;
    transition: 300ms ease-in;
}

.projekt-beschreibung {
    flex: 1 0 100%;
}

#projekte a:hover {
    color: var(--lightDark);
}


#preise p {
    grid-column: span 6;
    margin: 25px 0;
}

#preise h3 {
    border-bottom: 5px solid var(--accent);
    padding: 20px;
}

.price-boxes {
    grid-column: span 6;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    gap: 25px;
}

.price-box {
    border: 5px solid var(--accent);
    border-radius: 25px;
    display: flex;
    flex-flow: column;
    box-shadow: var(--regularShadow);
    justify-content: space-between;
    text-align: center;
}

.price-box h3 {
    font-size: 1.5rem;
}

.price-box ul {
    padding: 25px 35px;
    text-align: left;
    list-style: none;
    margin: 0;
    display: flex;
    flex-flow: column;
    gap: 10px;
}

.price-box ul li {
    position: relative;
    padding-left: 1.5em;
}

.price-box ul li::before {
    font-family: "Font Awesome 5 Free";
    content: "\f00c ";
    position: absolute;
    font-size: 1rem;
    left: 0;
    top: 0;
    font-weight: 600;
}

.price-box:nth-child(2) {
    background: var(--accent);
    color: #fff;
    border: 5px solid #fff;
}

#preise .price-box:nth-child(2) h3 {
    border-bottom: 5px solid #fff;
}

.price-box .button {
    margin: 25px;
}

.price-box p {
    text-align: right;
    padding: 0 1rem;
}

.price {
    font-size: 2rem;
    font-weight: 700;
}




#faq {
    background: var(--darkBG);
    color: #fff;
}

#faq .content-inner-layout {
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.question-block {
    display: flex;
    border: 3px solid var(--accent);
    border-radius: 25px;
    overflow: hidden;
    cursor: pointer;
    transition: 300ms ease-in;
}

.question-block .answer {
    transition: 300ms ease-in;
    max-height: 0;
    overflow: hidden;
}

.question-block .answer.active {
    max-height: 100px;
}

.faq-icon {
    padding: 10px;
    border-right: 3px solid var(--accent);
    display: flex;
    align-items: center;
    justify-content: center;
}

.faq-content {
    padding: 25px 10px;
}

.faq-content p {
    object-fit: contain;
}

.question {
    font-size: 1.25rem;
    font-weight: 700;
}

/* Contact Options */

.contact-options {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    gap: 10px;
}

.contact-option {
    padding: 25px;
    flex: 1 0 250px;
    border: 5px solid var(--accent);
    border-radius: 50px;
    display: flex;
    flex-flow: column;
    align-items: center;
}

.contact-option a {
    border-bottom: none;
}

.contact-option .fa, .contact-option .fa-brands {
    font-size: 2rem;
}

/* General form control */

textarea {
    resize: none;
    font-family: Montserrat;
}

input, textarea {
    width: 100%;
    padding: 15px;
    font-size: 1rem;
    border-radius: 25px;
    border: none;
    background: var(--lightDark);
    margin-bottom: 1rem;
}

form {
    display: flex;
    flex-flow: column;
}

input[type="checkbox"] {
    width: 25px;
    height: 25px;
    cursor: pointer;
    accent-color: var(--accent);
}



/* Footer styles */

footer {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 3rem;
}

footer nav ul {
    list-style: none;
    display: flex;
    gap: 1rem;
}



/* Nur DS und Impressum relevant */

section#rechtstexte {
    padding-top: 200px;
}









@media screen and (max-width: 768px) {
    #hero.hero-home {
        background-attachment: scroll;
        background-position: center;
    }
}


/* Tablet */
@media screen and (min-width: 768px) {

    #hero .hero-content {
        text-align: left;
    }


    .service-box {
        padding: 50px 25px;
    }

    #projekte .content-inner-layout {
        grid-column: span 12;
        grid-template-columns: repeat(12, 1fr);
    }

    .price-boxes {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    #hero h1 {
        grid-column: 1/9;
    }

}

/* Desktop */
@media screen and (min-width: 1028px) {

    html {
        font-size: 18px;
    }

    h1 {
        font-size: 3.5rem;
        font-weight: 700;
    }

    h2 {
        font-size: 3rem;
        text-align: center;
        margin-bottom: 50px;
    }

    h3 {
        font-size: 2rem;
        margin-bottom: 25px;
    }

    h4 {
        font-size: 1.75rem;
        font-weight: 500;
        margin: 15px 0;
    }

    h5 {
        font-size: 1.5rem;
    }

    h6 {
        font-size: 1.25rem;
    }

    section .content-inner-layout {
        display: grid;
    }

    #projekte .projekt-vorschau {
        grid-column: 1/7;
    }

    #projekte .projekt-details {
        grid-column: 7/12;
    }

    #projekte .projekt-logos {
        justify-content: flex-start;
    }

    #about-intro .content-inner-layout {
        display: grid;
        grid-template-columns: repeat(3,fr);
    }

    #about-intro .about-text {
        grid-row: 1;
        grid-column: 1/2;
    }

    #about-intro .about-image {
        grid-row: 1;
        grid-column: 3/4;
    }

    #hero .hero-content {
        grid-column: 4/10;
    }
}

/* Desktop Large */
@media screen and (min-width: 1400px) {

    #leistungen .content-inner-layout {
        display: grid;
    }
    
    .content-inner-layout {
        grid-column: 3/11;
    }

    #hero .content-inner-layout {
        grid-column: 2/12;
    }

    section .button {
        grid-column: 4/10;
    }
}

/* Extra wide Desktop */
@media screen and (min-width: 1750px) {

    #hero .hero-content {
        margin: 0 auto;
        padding-bottom: 5rem;
    }

    #leistungen .content-inner-layout {
        display: grid;
    }
    
    .content-inner-layout {
        grid-column: 4/10;
    }

    #hero .content-inner-layout {
        grid-column: 3/11;
    }

    section .button {
        grid-column: 4/10;
    }

    #projekte .projekt-vorschau {
        grid-column: 3/7;
    }
}